<?php
/**
 * Link         :   http://www.phpcorner.net
 * User         :   qingbing<780042175@qq.com>
 * Date         :   2018-10-27
 * Version      :   1.0
 */

namespace Test;

use Helper\File;
use TestCore\Tester;

/**
 * Class TestFile
 * @package Test
 */
class TestFile extends Tester
{
    /**
     * 执行函数
     * @throws \Exception
     */
    public function run()
    {
        // 如果文件存在，删除文件
        $status = File::getInstance()
            ->setFilePath("./runtime/delete.txt")
            ->unlink();
        var_dump($status);
        // 获取文件属性，文件不一定存在
        $pathinfo = File::getInstance()
            ->setFilePath("./runtime/dd.txt")
            ->pathinfo();
        var_dump($pathinfo);
        // 获取文件内容
        $content = File::getInstance()
            ->setFilePath("runtime/get.txt")
            ->get();
        var_dump($content);
        // 清空文件并追加
        $status = File::getInstance()
            ->setFilePath("runtime/append.txt")
            ->setEmpty()
            ->append("Hello, my dear phper 1.")
            ->append("Hello, my dear phper 2.", true)
            ->flush();
        var_dump($status);
    }
}